Name:          activemq
Version:       5.6.0
Release:       9%{?dist}
Summary:       Open source messaging and Integration Patterns server
License:       ASL 2.0
URL:           http://activemq.apache.org
# git clone -b activemq-5.6.0 https://github.com/apache/activemq.git activemq-core-5.6.0
# rm -rf activemq-core-5.6.0/.git
# tar cJf activemq-core-5.6.0.tar.xz activemq-core-5.6.0
Source0:       activemq-5.6.0.tar.xz

BuildRequires: activeio
BuildRequires: activemq-protobuf
BuildRequires: derby
BuildRequires: geronimo-jta
BuildRequires: jasypt
BuildRequires: javacc-maven-plugin
BuildRequires: java-devel
BuildRequires: jettison
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-pmd-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-xbean-plugin
BuildRequires: maven-local
BuildRequires: springframework-jms

BuildArch: noarch

%description
The most popular and powerful open source messaging and Integration Patterns
server.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%package core
Summary: ActiveMQ Core

%description core
ActiveMQ Core Library

%package jaas
Summary: ActiveMQ Jaas

%description jaas
ActiveMQ Jaas Library

%package kahadb
Summary: ActiveMQ KahaDB

%description kahadb
A file based persistence database that is local to the message broker that
is using it. It has been optimized for fast persistence and is the the default
storage mechanism from ActiveMQ 5.4 onwards. KahaDB uses less file descriptors
and provides faster recovery than its predecessor, the AMQ Message Store.

%prep

%setup -q -n %{name}-%{version}

# Disable modules
for m in all camel console fileserver blueprint karaf \
    openwire-generator optional pool ra rar run spring \
    tooling web web-demo web-console xmpp jmdns_1.0
do
    %pom_disable_module %{name}-${m}
done

%pom_disable_module assembly

# Remove missing plugin for activemq-core
%pom_remove_dep xsddoc:maven-xsddoc-plugin %{name}-core/pom.xml

# Remove missing plugin
%pom_remove_plugin org.codehaus.mojo:ianal-maven-plugin

# Remove missing test dependencies
%pom_remove_dep org.springframework:spring-test

# Remove missing optional dependencies
%pom_remove_dep org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec

# Remove xstream support (fedora version is out of date)
rm -rf %{name}-core/src/main/java/org/apache/activemq/transport/stomp
rm -rf %{name}-core/src/main/java/org/apache/activemq/util/XStreamFactoryBean.java
%pom_remove_dep com.thoughtworks.xstream:xstream %{name}-core/pom.xml

# Remove jmdns support
rm -rf %{name}-core/src/main/java/org/apache/activemq/transport/discovery/zeroconf
%pom_remove_dep org.apache.activemq:activemq-jmdns_1.0 %{name}-core/pom.xml

# Remove leveldb support
rm -rf %{name}-core/src/main/java/org/apache/activemq/store/leveldb
%pom_remove_dep org.fusesource.fuse-extra:fusemq-leveldb %{name}-core/pom.xml

# Remove mqtt support
rm -rf %{name}-core/src/main/java/org/apache/activemq/transport/mqtt
%pom_remove_dep org.fusesource.mqtt-client:mqtt-client %{name}-core/pom.xml

# Remove other optional dependencies
%pom_remove_dep org.apache.activemq:activemq-openwire-generator %{name}-core/pom.xml
%pom_remove_dep org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec %{name}-core/pom.xml
%pom_remove_dep org.apache.geronimo.specs:geronimo-jta_1.0.1B_spec %{name}-core/pom.xml
%pom_remove_dep org.apache.geronimo.specs:geronimo-jacc_1.1_spec %{name}-core/pom.xml
%pom_remove_dep org.apache.geronimo.specs:geronimo-annotation_1.0_spec %{name}-core/pom.xml

chmod 644 LICENSE README.txt

# Fix license file encoding
mv LICENSE LICENSE.orig
iconv -f iso-8859-1 -t utf-8 LICENSE.orig > LICENSE

%mvn_package ":activemq-core:{xsd}::" __noinstall
%mvn_package ":activemq-core:{jar,pom}:{}:" core
%mvn_package ":activemq-jaas:{jar,pom}:{}:" jaas
%mvn_package ":kahadb:{jar,pom}:{}:" kahadb


%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%files core -f .mfiles-core
%doc LICENSE NOTICE

%files jaas -f .mfiles-jaas
%doc LICENSE NOTICE

%files kahadb -f .mfiles-kahadb
%doc LICENSE NOTICE

%changelog
* Mon Jun 16 2014 Michal Srb <msrb@redhat.com> - 5.6.0-9
- Fix FTBFS

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 14 2013 Marek Goldmann <mgoldman@redhat.com> - 5.6.0-7
- Use xmvn
- Fixes Remove binary distribution usage, RHBZ#1018696

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 03 2013 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-5
- Removed optional geronimo-annotation dependency from activemq-core

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 19 2012 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-3
- Added NOTICE to all subpackages

* Wed Sep 19 2012 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-2
- Removed references to RPM_BUILD_ROOT for consistency

* Mon Sep 10 2012 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-1
- Initial RPM package

